# https://github.com/prometheus-community/helm-charts/blob/main/charts/kube-prometheus-stack/values.yaml

grafana:
  plugins:
  - grafana-piechart-panel

  ingress:
    hosts:
    - grafana.k3s.lan
    - grafana.192.168.1.132.nip.io
    tls:
    - secretName: grafana-cert
      hosts:
      - grafana.k3s.lan
      - grafana.192.168.1.132.nip.io

prometheus:
  ingress:
    annotations:
      # <namespace>-<traefik_basicauth_middleware_name>@kubernetescrd"
      traefik.ingress.kubernetes.io/router.middlewares: "monitoring-prometheus-basicauth-middleware@kubernetescrd"
    hosts:
    - prometheus.k3s.lan
    - prometheus.192.168.1.132.nip.io
    tls:
    - secretName: prometheus-cert
      hosts:
      - prometheus.k3s.lan
      - prometheus.192.168.1.132.nip.io